REM Knights of Xentar (c)1994
REM
REM Rated/Unrated Start script
REM
@ECHO OFF
IF "%1" == "" GOTO INFO
IF "%1" == "13" GOTO NR13
IF "%1" == "18" GOTO NR18
:INFO
ECHO Please enter the rated (13)
ECHO or unrated (18) version to
ECHO play. i.e. KX.BAT 18
GOTO END
:NR13
IF EXIST KX.ADV REN KX.ADV KX.AD_ 2>NUL
IF NOT EXIST KX.ADV GOTO GAME
GOTO ERROR
:NR18
IF NOT EXIST KX.ADV REN KX.AD_ KX.ADV 2>NUL
IF EXIST KX.ADV GOTO GAME
:ERROR
ECHO The file KX.ADV determines if
ECHO the patch content is applied.
ECHO If it cannot be changed or is
ECHO otherwise corrupt then issues
ECHO may arise.  Please re-install
ECHO or remove the adult content.
:GAME
KX.EXE E %1 %2 %3 %4 %5
:END